package com.ruoyi.rocketmq.service;

import com.ruoyi.rocketmq.domain.RmAlarmPolicy;

import java.util.List;
import java.util.Map;

/**
 * 告警策略Service接口
 * 
 * @author gyt
 * @date 2025-09-12
 */
public interface IRmAlarmPolicyService 
{
    /**
     * 查询告警策略
     * 
     * @param id 告警策略主键
     * @return 告警策略
     */
    public RmAlarmPolicy selectRmAlarmPolicyById(Long id);

    /**
     * 查询告警策略列表
     * 
     * @param rmAlarmPolicy 告警策略
     * @return 告警策略集合
     */
    public List<RmAlarmPolicy> selectRmAlarmPolicyList(RmAlarmPolicy rmAlarmPolicy);

    /**
     * 新增告警策略
     * 
     * @param rmAlarmPolicy 告警策略
     * @return 结果
     */
    public int insertRmAlarmPolicy(RmAlarmPolicy rmAlarmPolicy);

    /**
     * 修改告警策略
     * 
     * @param rmAlarmPolicy 告警策略
     * @return 结果
     */
    public int updateRmAlarmPolicy(RmAlarmPolicy rmAlarmPolicy);

    /**
     * 批量删除告警策略
     * 
     * @param ids 需要删除的告警策略主键集合
     * @return 结果
     */
    public int deleteRmAlarmPolicyByIds(Long[] ids);

    /**
     * 删除告警策略信息
     * 
     * @param id 告警策略主键
     * @return 结果
     */
    public int deleteRmAlarmPolicyById(Long id);

    Map getRmAlarmPolicyMsgById(Long id);

    int addRmAlarmPolicy(RmAlarmPolicy rmAlarmPolicy);

    int issueAlarmPolicy(Long id);
}
